/*
 *      @(#)Copyright (c) 1994, Simon J. Gerraty.
 *      
 *      This code is presented AS IS.  It comes with NO WARRANTY.
 *      Permission to use, modify and distribute this source code 
 *      is granted subject to the following conditions.
 *      1/ that the above copyright notice and this notice 
 *      are preserved in all copies and that due credit be given 
 *      to the author.  
 *      2/ that any changes to this code are clearly commented 
 *      as such so that the author does not get blamed for bugs 
 *      other than his own.
 *      
 *      Please send copies of changes and bug-fixes to:
 *      sjg@zen.void.oz.au
 */

#include <sys/cdefs.h>

/* from my extern.h */
#ifdef _EXTERN
# define EXTERN
# define INIT(x) = x
#else
# define EXTERN extern
# define INIT(x)
#endif

#define LOCALHOST_ADDR	0x7f000001
#define _RPCSVC_CLOSEDOWN 300			/* 5 minutes */

/*
 * UNFSCTL RPC
 */
#ifdef	DO_UNFS_PROG
#define UNFS_PROG	LOCALHOST_ADDR		/* random number */
#define UNFS_VERS	1
#define UNFS_NULL	0			/* for "ping" */
#define UNFS_QUIT	1			/* please go away */
#endif

/*
 * flags
 */
#define UNFS_TCP	0x01
#define UNFS_AUTH	0x02
#define UNFS_UNMOUNT	0x04
#define UNFS_BGRND	0x08
#define UNFS_INTR	0x10
#define UNFS_CLNT	0x20			/* need unfsclnt() */
#define UNFS_SOFT	0x40
#define UNFS_DEBUG	0x80

#define UNFS_ISBGRND	0x4000

#ifndef STDIN_FILENO
# define STDIN_FILENO  0
# define STDOUT_FILENO 1
# define STDERR_FILENO 2
#endif
/*
 * globals that various folk need
 */
EXTERN char *Myname;
EXTERN int UnfsFlags;
EXTERN char *UnfsMntPt;
EXTERN char *UnfsMntSpec;
EXTERN char *UnfsMntedDir;
EXTERN int UnfsPort;
EXTERN int UnfsTimeo, UnfsRsize, UnfsWsize;
EXTERN int _rpcpmstart INIT(0);
EXTERN int _rpcsvcdirty INIT(0);
EXTERN int _rpcfdtype INIT(0);
EXTERN int _rpcsvc_closedown INIT(0);

__BEGIN_DECLS
char *  ip_caller_id     __P((struct sockaddr_in *sa, int lookup));
__END_DECLS
